% Train a decision tree classifier.
%
% INPUTS
%   net     - model to be trained
%   X       - nxp data array
%   Y       - nx1 array of labels
% 
% OUTPUTS
%   net     - a trained binary clf_LDA net 
%
% DATESTAMP
%   29-Sep-2005  2:00pm
%
% See also CLF_DECTREE

% Piotr's Image&Video Toolbox      Version 1.0   
% Written and maintained by Piotr Dollar    pdollar-at-cs.ucsd.edu 
% Please email me if you find bugs, or have suggestions or questions! 
 
function net = clf_dectree_train( net, X, Y )
    er = consist( net, 'clf_dectree', X );  error(er);

    % apply treefit
    Y = int2str2( Y ); % convert Y to string format for treefit.
    params = net.params;
    T = treefit(X,Y,'method','classification',params{:});

    % apply cross validation (on training data), and prune
    [c,s,n,best] = treetest(T,'cross',X,Y);
    T = treeprune(T,'level',best);
    
    net.T = T;
    
