% Apply a k-nearest neighbor classifier to X.
%
% INPUTS
%   net     - trained model
%   X       - nxp data array
% 
% OUTPUTS
%   Y       - nx1 vector of labels predicted according to the net
%
% DATESTAMP
%   29-Sep-2005  2:00pm
%
% See also CLF_KNN, CLF_KNN_TRAIN

% Piotr's Image&Video Toolbox      Version 1.0   
% Written and maintained by Piotr Dollar    pdollar-at-cs.ucsd.edu 
% Please email me if you find bugs, or have suggestions or questions! 
 
function Y = clf_knn_fwd( net, X )
    er = consist( net, 'clf_knn', X );  error(er);
    
    Xtrain = net.Xtrain; 
    Ytrain = net.Ytrain;  
    k = net.k;    
    n = size(X,1);

    % get nearest neighbors for each X point
    D = dist_euclidean( X, Xtrain );
    Y = clf_knn_dist( D, Ytrain, k );
