% Train a k nearest neighbor classifier (memorization).
%
% INPUTS
%   net     - model to be trained
%   X       - nxp data array
%   Y       - nx1 array of labels
% 
% OUTPUTS
%   net     - a trained k-nearest neighbor classifier.
%
% DATESTAMP
%   29-Sep-2005  2:00pm
%
% See also CLF_KNN, CLF_KNN_FWD

% Piotr's Image&Video Toolbox      Version 1.0   
% Written and maintained by Piotr Dollar    pdollar-at-cs.ucsd.edu 
% Please email me if you find bugs, or have suggestions or questions! 
 
function net = clf_knn_train( net, X, Y )

    %%% error check
    n=size(X,1);  Y=double(Y);
    er = consist( net, 'clf_knn', X );  error(er);
    [Y,er] = checknumericargs( Y, [n 1], 0, 0 ); error(er);

    %%% training is memorization
    net.Xtrain = X;
    net.Ytrain = Y;
    
