% Visualization to help choose sigmas for meanshiftim.
%
% DATESTAMP
%   29-Sep-2005  2:00pm
%
% See also MEANSHIFTIM

% Piotr's Image&Video Toolbox      Version 1.0   
% Written and maintained by Piotr Dollar    pdollar-at-cs.ucsd.edu 
% Please email me if you find bugs, or have suggestions or questions! 
 
function meanshiftim_explore( I, X, sig_spt, sig_rng, show )
    if( nargin<5 ) show = 1; end;
    [mrows, ncols, p] = size(X);

    %%% get input point
    figure(show); im(I);
    [c,r] = ginput(1);
    r=round(r); c=round(c);

    %%% get D and S
    [grid_rs grid_cs] = ndgrid( 1:mrows, 1:ncols );
    Deuc = ((grid_rs-r).^2 + (grid_cs-c).^2) / sig_spt^2;
    x = X(r,c,:); x = x(:)';  Xflat = reshape(X,[],p);
    Drange = dist_euclidean( x, Xflat );
    Drange = reshape( Drange, mrows, ncols ) / sig_rng^2;
    D = Drange + Deuc;      
    
    S = exp( -D );  
    Srange = exp( -Drange );  
    Seuc = exp( -Deuc );  
    
    %%% new c and r
    c2 = (grid_cs .* S); c2 = sum( c2(:) ) / sum(S(:));
    r2 = (grid_rs .* S); r2 = sum( r2(:) ) / sum(S(:));
    
    %%% show
    figure(show+1); 
    subplot(2,2,1); im(I);  
    hold('on'); plot( c, r, '.g' ); plot( c2, r2, '.b' ); hold('off');
    subplot(2,2,2); im(Drange);
    hold('on'); plot( c, r, '.g' ); plot( c2, r2, '.b' ); hold('off');
    subplot(2,2,3); im(Seuc);
    hold('on'); plot( c, r, '.g' ); plot( c2, r2, '.b' ); hold('off');
    subplot(2,2,4); im(S);
    hold('on'); plot( c, r, '.g' ); plot( c2, r2, '.b' ); hold('off');    

