% Inserts toolbox data after main comment in an .m file.
%
% EXAMPLE
%   mfiles = dir('*.m'); for i=1:size(mfiles,1)  insertinfo(mfiles(i).name);  end;

function insertinfo( fname )
    fid_in = fopen( fname, 'rt' );
    fid_out = fopen( [fname '2'] , 'wt' );

    insert_str = ...
        ['%% Piotr''s Image&Video Toolbox      Version 1.0   \n' ...
         '%% Written and maintained by Piotr Dollar    pdollar-at-cs.ucsd.edu \n' ...
         '%% Please email me if you find bugs, or have suggestions or questions! \n \n' ];
    
    first_comment = true;
    while 1
        tline = fgetl(fid_in);
        if ~ischar(tline), break, end;
        fprintf( fid_out, '%s\n', tline );
        if( length(tline)==0 && first_comment )
            first_comment = false;
            fprintf( fid_out, insert_str );
        end
    end
    
    fclose(fid_in);
    fclose(fid_out);
    movefile( [fname '2'], [fname] );
        
