/*********************************************************************
* DATESTAMP  29-Sep-2005  2:00pm
* Piotr's Image&Video Toolbox      Version 1.0   
* Written and maintained by Piotr Dollar    pdollar-at-cs.ucsd.edu 
* Please email me if you find bugs, or have suggestions or questions! 
*********************************************************************/

#include "mex.h"
#include "findBin.c"

/*
 * Please see accompanying m file for usage.
 */

/* find out what bin each element in A falls into */
void assign2bins( double *B, double* A, double* edges, int nelements, int nbins )
{
    int j; 
    for( j=0; j < nelements; j++)
        B[j] = (double) findBin( A[j], edges, nbins ); 
}



void mexFunction(int nlhs, mxArray *plhs[], int nrhs,
                 const mxArray *prhs[])
{
  /* Declare variables. */ 
  int nelements, nbins;
  double *A, *B, *edges;
  
  /* Error checking on arguments */    
  if (nrhs != 2)
    mexErrMsgTxt("Two input arguments required.");
  if (nlhs > 1) 
    mexErrMsgTxt("Too many output arguments.");
    
  /* extract arguments */
  A = (double *) mxGetData(prhs[0]);
  nelements = mxGetNumberOfElements(prhs[0]);
  edges = (double *) mxGetData(prhs[1]);
  nbins = (int) mxGetNumberOfElements(prhs[1]) -1;  
  
  /* create output array */
  /* Note extra bin, this is for values outsider range of edges */
  plhs[0] = mxCreateDoubleMatrix(1, nelements, mxREAL );
  B = (double *) mxGetData(plhs[0]);
  
  /* calculate the histograms */
  assign2bins( B, A, edges, nelements, nbins );
}
